# File Restoration

cPanel Account Backups / File Restoration

## Restore databases

 - [POST /Backup/restore_databases](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/backup-restore_databases.md): This function restores a database's backup files.

Important:

When the MySQL Client role is disabled, the system also disables this function.

Note:

You must pass either the file or backup parameter.

## Restore email filters

 - [POST /Backup/restore_email_filters](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/backup-restore_email_filters.md): This function restores an account's email filters.

Important:

When the Receive Mail role is disabled, the system also disables this function.

Note:

You must use the backup parameter when you call this function in one of the following formats:
* As part of a multipart/form-data request body to upload and restore a backup file to the server.
* As a query parameter to restore an existing file on the server.

## Restore email forwarders

 - [POST /Backup/restore_email_forwarders](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/backup-restore_email_forwarders.md): This function restores an account's email forwarders.

Important:

When the Receive Mail role is disabled, the system also disables this function.

Note:

You must use the backup parameter when you call this function in one of the following formats:
* As part of a multipart/form-data request body to upload and restore a backup file to the server. For more information about this structure, read Mozilla's POST Method documentation.
* As a query parameter to restore an existing file on the server.

## Restore files

 - [POST /Backup/restore_files](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/backup-restore_files.md): This function restores an account's files.

Important:

When the File Storage role is disabled, the system also disables this function.

Note:

You must use the backup parameter when you call this function in one of the following formats:
* As part of a multipart/form-data request body to upload and restore a backup file to the server. For more information about this structure, read Mozilla's POST Method documentation.
* As a query parameter to restore an existing file on the server.

## Return backups in home directory

 - [GET /Restore/directory_listing](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/restore-directory_listing.md): This function lists all of the backup files and directories in the user's home directory.

Important:

When you disable the File Storage role, the system disables this function.

## Return cPanel accounts with backup metadata

 - [GET /Restore/get_users](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/restore-get_users.md): This function lists a reseller's users that have existing backup metadata.

Note:

When you disable the File Storage role, the system disables this function.

## Return backup storage locations

 - [GET /Restore/query_file_info](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/restore-query_file_info.md): This function lists all of an item's backup locations. An item can be a file, a directory, or a symlink.

Important:

When you disable the File Storage role, the system disables this function.

## Restore file or directory

 - [GET /Restore/restore_file](https://api.docs.cpanel.net/specifications/cpanel.openapi/file-restoration/restore-restore_file.md): This function restores a file or directory from a backup to the file or directory's original location.

Important:

When you disable the File Storage role, the system disables this function.

